Jifty::Script::Script(3)

NAME
Jifty::Script::Script - Add a new Jifty script to your Jifty application

SYNOPSIS
    jifty script --name my_new_script
    jifty script --name my_new_script --force
    jifty script --help
    jifty script --man

DESCRIPTION
Add a skeleton command-line script file.

  options

--name NAME (required)
    Name of the script to create.

--force
    By default, this will stop and warn you if any of the files it is going to write already exist. Passing the --force flag will make it overwrite the files.

--help
    Print a brief help message and exits.

--man
    Prints the manual page and exits.

DESCRIPTION
This creates a skeleton of a new script file for your Jifty application. Often such a script is needed for cron jobs, annual maintenance work, and any other server-side activity that would benefit from a command-line script.

METHODS

  run
Creates a skeleton file under "bin/script".

TODO Should this create skeleton test files too?